#ifndef _sanbum_1_H
#define _sanbum1_H

uint8_t Sanbum_send_start (void);
void Sanbum_send_stop (void);
uint8_t Sanbum_read_byte (void);
uint8_t Sanbum_send_add_rw (uint8_t addr_byte, uint8_t rw);
uint8_t Sanbum_send_byte (uint8_t data_byte);
uint8_t Sanbum_control_byte (uint8_t Co, uint8_t DC);
uint8_t Sanbum_init (void);




void LCD_Softreset (void);
void LCD_all_on (void);
void LCD_enable (void);	
void LCD_SetComEnd (void);
void LCD_SetKontrast (void);
void sanbum_init (void);
void Sanbum_display_clear (void);


uint8_t read_statusbyte (void);
uint8_t read_RAM_Byte (void);
void Sanbum_GoTo (uint8_t x, uint8_t y);
void Sanbum_display_SetPixel(uint8_t x, uint8_t y, uint8_t color);
void Sanbum_display_clear (void);
void Sanbum_WriteChar8x8(char x);
void Sanbum_WriteString8x8(char * s);
void Sanbum_Circle(uint8_t cx, uint8_t cy ,uint8_t radius);
void Sanbum_plotLine(int x0, int y0, int x1, int y1);




#endif